<%@ page language="java" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!DOCTYPE html>
<html>
<head>
<jsp:include page="../../inc.jsp"></jsp:include>
<script type="text/javascript" charset="utf-8">
	var datagrid;
	$(function() {
		datagrid = $('#datagrid').datagrid({
			url : 'sensor!datagrid.do',
			iconCls : 'icon-save',
			pagination : true,
			pagePosition : 'bottom',
			pageSize : 20,
			pageList : [ 20, 40, 60, 80, 100, 120, 140, 160, 200 ],
			fit : true,
			fitColumns : true,
			nowrap : false,
			border : false,
			idField : 'id',
			sortName : 'id',
			sortOrder : 'desc',
			frozenColumns : [ [ {
				title : '序号',
				field : 'id',
				width : 150,
				sortable : true,
				checkbox : true
			} ] ],
			columns : [ [ {
				title : '传感器类型',
				field : 'kind',
				width : 150
			}, {
				title : 'state',
				field : 'state',
				width : 150
			}, {
				title : '监测类型',
				field : 'mark',
				width : 150
			}, {
				title : '传感器名称',
				field : 'name',
				width : 150
			} , {
				title : '钻孔编号',
				field : 'zkbh',
				width : 150
			}, {
				title : '板子地址',
				field : 'address1',
				width : 150
			}, {
				title : '安装位置',
				field : 'address2',
				width : 150
			}, {
				title : '传感器地址',
				field : 'addressb',
				width : 150
			}, {
				title : 'bzuobiao',
				field : 'bzuobiao',
				width : 150
			}, {
				title : 'czuobiao',
				field : 'czuobiao',
				width : 150
			}, {
				title : '中段',
				field : 'angle',
				width : 150
			}, {
				title : '报警值',
				field : 'alarmvalue',
				width : 150
			}, {
				title : '传感器初始值',
				field : 'values1',
				width : 150
			}, {
				title : '不记录值',
				field : 'notalarmvalue',
				width : 150
			}, {
				title : '初始值2',
				field : 'jiazhichushi',
				width : 150
			}, {
				title : 'programid',
				field : 'programid',
				width : 150
			}, {
				title : '矿区代码',
				field : 'mineareacode',
				width : 150
			}] ],
			toolbar : [ {
				text : '增加',
				iconCls : 'icon-add',
				handler : function() {
					append();
				}
			}, '-', {
				text : '删除',
				iconCls : 'icon-remove',
				handler : function() {
					remove();
				}
			}, '-', {
				text : '修改',
				iconCls : 'icon-edit',
				handler : function() {
					edit();
				}
			}, '-', {
				text : '导出',
				iconCls : 'icon-edit',
				handler : function() {
					exportd();
				}
			}, '-', {
				text : '取消选中',
				iconCls : 'icon-undo',
				handler : function() {
					datagrid.datagrid('unselectAll');
				}
			}, '-' ],
			onRowContextMenu : function(e, rowIndex, rowData) {
				e.preventDefault();
				$(this).datagrid('unselectAll');
				$(this).datagrid('selectRow', rowIndex);
				$('#menu').menu('show', {
					left : e.pageX,
					top : e.pageY
				});
			}
		});
	});
	function edit() {
		var rows = datagrid.datagrid('getSelections');
		if (rows.length == 1) {
			var p = parent.dj.dialog({
				title : '修改传感器',
				href : '${pageContext.request.contextPath}/sensor!sensorEdit.do?id=' + rows[0].id,
				width : 500,
				height : 500,
				buttons : [ {
					text : '修改',
					handler : function() {
						var f = p.find('form');
						f.form({
							url : '${pageContext.request.contextPath}/sensor!edit.do',
							success : function(d) {
								var json = $.parseJSON(d);
								if (json.success) {
									datagrid.datagrid('reload');
									p.dialog('close');
								}
								parent.dj.messagerShow({
									msg : json.msg,
									title : '提示'
								});
							}
						});
						f.submit();
					}
				} ],
				onLoad : function() {
					var f = p.find('form');
					f.find('input[name=id]').val(rows[0].id);
					f.find('input[name=kind]').val(rows[0].kind);
					f.find('input[name=state]').val(rows[0].state);
					f.find('input[name=mark]').val(rows[0].mark);
					f.find('input[name=name]').val(rows[0].name);
					f.find('input[name=zkbh]').val(rows[0].zkbh);
					f.find('input[name=address1]').val(rows[0].address1);
					f.find('input[name=address2]').val(rows[0].address2);
					f.find('input[name=addressb]').val(rows[0].addressb);
					f.find('input[name=bzuobiao]').val(rows[0].bzuobiao);
					f.find('input[name=czuobiao]').val(rows[0].czuobiao);
					f.find('input[name=angle]').val(rows[0].angle);
					f.find('input[name=alarmvalue]').val(rows[0].alarmvalue);
					f.find('input[name=values1]').val(rows[0].values1);
					f.find('input[name=notalarmvalue]').val(rows[0].notalarmvalue);
					f.find('input[name=jiazhichushi]').val(rows[0].jiazhichushi);
					f.find('input[name=programid]').val(rows[0].programid);
					f.find('input[name=mineareacode]').val(rows[0].mineareacode);
					
			
				}
			});
		} else if (rows.length > 1) {
			parent.dj.messagerAlert('提示', '同一时间只能编辑一条记录！', 'error');
		} else {
			parent.dj.messagerAlert('提示', '请选择要编辑的记录！', 'error');
		}
	}
	function append() {
		var p = parent.dj.dialog({
			title : '增加传感器',
			href : '${pageContext.request.contextPath}/sensor!sensorAdd.do',
			width : 500,
			height : 500,
			buttons : [ {
				text : '增加',
				handler : function() {
					var f = p.find('form');
					f.form({
						url : '${pageContext.request.contextPath}/sensor!add.do',
						success : function(d) {
							var json = $.parseJSON(d);
							if (json.success) {
								datagrid.datagrid('reload');
								p.dialog('close');
							}
							parent.dj.messagerShow({
								msg : json.msg,
								title : '提示'
							});
						}
					});
					f.submit();
				}
			} ],
			onLoad : function() {
				var f = p.find('form');
				var editor = f.find('textarea[name=cdesc]').xheditor({
					tools : 'full',
					html5Upload : true,
					upMultiple : 4,
					upLinkUrl : '${pageContext.request.contextPath}/sensor!upload.do',
					upLinkExt : 'zip,rar,txt,doc,docx,xls,xlsx',
					upImgUrl : '${pageContext.request.contextPath}/sensor!upload.do',
					upImgExt : 'jpg,jpeg,gif,png'
				});
			}
		});
	}
	function remove() {
		var rows = datagrid.datagrid('getChecked');
		var ids = [];
		if (rows.length > 0) {
			parent.dj.messagerConfirm('请确认', '您要删除当前所选项目？', function(r) {
				if (r) {
					for ( var i = 0; i < rows.length; i++) {
						ids.push(rows[i].id);
					}
					$.ajax({
						url : '${pageContext.request.contextPath}/sensor!delete.do',
						data : {
							ids : ids.join(',')
						},
						dataType : 'json',
						success : function(d) {
							datagrid.datagrid('load');
							datagrid.datagrid('unselectAll');
							parent.dj.messagerShow({
								title : '提示',
								msg : d.msg
							});
						}
					});
				}
			});
		} else {
			parent.dj.messagerAlert('提示', '请勾选要删除的记录！', 'error');
		}
	}
	function exportd() {
		Export('传感器信息', $('#datagrid'))
	}
	
</script>
</head>
<body class="easyui-layout">
	<div data-options="region:'center',border:false" style="overflow: hidden;">
		<table id="datagrid"></table>
	</div>

	<div id="menu" class="easyui-menu" style="width:120px;display: none;">
		<div onclick="append();" data-options="iconCls:'icon-add'">增加</div>
		<div onclick="remove();" data-options="iconCls:'icon-remove'">删除</div>
		<div onclick="edit();" data-options="iconCls:'icon-edit'">编辑</div>
		<div onclick="exportd();" data-options="iconCls:'icon-edit'">导出</div>
	</div>
</body>
</html>